local screenW, screenH = guiGetScreenSize()
local x, y = (screenW/1366), (screenH/768)

function drawBorde(x, y, w, h, borderColor, bgColor, postGUI)
    if (x and y and w and h) then
        if (not borderColor) then
            borderColor = tocolor(0, 0, 0, 200)
        end
      
        if (not bgColor) then
            bgColor = borderColor
        end

        if not postGUI then
            postGUI = false
        end

        dxDrawRectangle(x, y, w, h, bgColor, postGUI)

        dxDrawRectangle(x + 2, y - 1, w - 4, 1, borderColor, postGUI) -- top
        dxDrawRectangle(x + 2, y + h, w - 4, 1, borderColor, postGUI) -- bottom
        dxDrawRectangle(x - 1, y + 2, 1, h - 4, borderColor, postGUI) -- left
        dxDrawRectangle(x + w, y + 2, 1, h - 4, borderColor, postGUI) -- right
    end
end

function HUD ()
    local Vida = getElementHealth(localPlayer)
    local Colete = getPedArmor(localPlayer)
    local Fome = getElementData(localPlayer,"hunger") or 0
    local Sede = getElementData(localPlayer,"sede") or 0
    local Money = getPlayerMoney(localPlayer)
    local Bank = getElementData(localPlayer,"bank") or 0

--BASE
drawBorde(screenW * 0.7526, screenH * 0.0299, screenW * 0.2269, screenH * 0.0143, tocolor(227, 0, 0, 255), false)
drawBorde(screenW * 0.7526, screenH * 0.0846, screenW * 0.2269, screenH * 0.0143, tocolor(254, 162, 1, 255), false)
drawBorde(screenW * 0.7526, screenH * 0.1120, screenW * 0.2269, screenH * 0.0143, tocolor(0, 155, 254, 255), false)
drawBorde(screenW * 0.7526, screenH * 0.0573, screenW * 0.2269, screenH * 0.0143, tocolor(120, 119, 119, 255), false)
--FUNCIONAL
drawBorde(1115, 87, 238, 99, tocolor(56, 56, 56, 255), false)
drawBorde(918, 14, 435, 101, tocolor(56, 56, 56, 255), false)
drawBorde(screenW * 0.7526, screenH * 0.0299, screenW * 0.2269, screenH * 0.0143, tocolor(227, 0, 0, 255), false)
drawBorde(screenW * 0.7526, screenH * 0.0846, screenW * 0.2269, screenH * 0.0143, tocolor(254, 162, 1, 255), false)
drawBorde(screenW * 0.7526, screenH * 0.1120, screenW * 0.2269, screenH * 0.0143, tocolor(0, 155, 254, 255), false)
drawBorde(screenW * 0.7526, screenH * 0.0573, screenW * 0.2269, screenH * 0.0143, tocolor(120, 119, 119, 255), false)
dxDrawText("R$100", screenW * 0.8514, screenH * 0.1497, screenW * 0.9736, screenH * 0.1862, tocolor(0, 167, 51, 255), 1.40, "default", "left", "center", false, false, false, false, false)
dxDrawText("R$125", screenW * 0.8514, screenH * 0.1966, screenW * 0.9700, screenH * 0.2331, tocolor(0, 125, 166, 255), 1.40, "default", "left", "center", false, false, false, false, false)
dxDrawImage(1125, 114, 28, 29, ":HUD/Files/money.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
dxDrawImage(1125, 153, 28, 26, ":HUD/Files/banco.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
dxDrawImage(922, 19, 96, 88, ":HUD/Files/logo.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
end
addEventHandler("onClientRender",root,HUD)

local components = { "weapon", "ammo", "health", "clock", "money", "breath", "armour", "wanted" }

addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()),
function ()
	for _, component in ipairs( components ) do
		setPlayerHudComponentVisible( component, false )
	end
end)